before_script:
  - git clone -q --depth 1 https://gitlab.com/voxl-public/utilities/ci-tools

include:
  - project: 'voxl-public/utilities/ci-tools'
    file: '/pipeline-configs/.deploy-dev.yml'
  - project: 'voxl-public/utilities/ci-tools'
    file: '/pipeline-configs/.deploy-stable.yml'

stages:
  - build_stage
  - deploy_stage_dev
  - deploy_stage_stable

build_dev:
  image: voxl-emulator
  stage: build_stage
  only:
    refs:
      - dev
  except:
    - schedules
  script:
    - source /opt/ros/indigo/setup.bash
    - /bin/bash build.sh source/
    - /bin/bash make_package.sh
  artifacts:
    untracked: true
    expire_in: 20 min

build_stable:
  image: voxl-emulator
  stage: build_stage
  only:
    refs:
      - tags
      - master
  except:
    - schedules
  script:
    - source /opt/ros/indigo/setup.bash
    - /bin/bash build.sh source/
    - /bin/bash make_package.sh
  artifacts:
    untracked: true
    expire_in: 20 min
